<% 
  post_to = url_for(:controller => 'admin', :action => 'action') 
%>

<form method="post" onsubmit="return confirmAction('user account')" id="admin_form" action="<%=post_to%>">

<div style="float: left;">
<select id="selected_action" name="selected_action">
<option selected="selected">Actions...</option>
<option value="disable">&nbsp;&nbsp;Disable Account</option>
<option value="enable">&nbsp;&nbsp;Enable Account</option>
</select>
<input type="hidden" name="come_back_to" value="account_management" />
<input type="submit" name="go" value="Go" />
</div>

<div style="float: left">
<%= render :partial => 'admin_navigation' %>
</div>

<div style="clear: left;">
</div>

<hr/>

Select: 
<a href="javascript:selectAll('admin_form', true)">All</a>,
<a href="javascript:selectAll('admin_form', false)">None</a>

<table border="1">
<tr>
<td></td>
<td>Name</td>
<td>Account Status</td>
<td>Virtual Machines*</td>
</tr>
<% @names.each do |name| %>
<tr>
<td><input type="checkbox" name="checkbox_for_name_<%= name %>" id="checkbox_for_name_<%= name %>" /></td>
<td><%= name %></td>
<td><%=
if User.find_by_name(name).is_disabled; "Disabled"; else "Enabled"; end
%></td>
<% uid = User.find_by_name(name).id
   ve_list = VirtualEnvironment.find_all_by_uid(uid).collect do |ve|
     [ve.veid, ve.status]
   end
%>
   <td>
   <% ve_list.sort.each do |veid, status| -%>
     <span class="<%=status%>"><%= veid %> </span>
   <% end -%>
   </td>
</tr>
<% end  %>
</table>
<p>*Color Coding: <span class="started">VE Started</span>,
<span class="stopped">VE Stopped</span>,<span class="creating">VE in 
undefined state</span></p>
</form>
